<!DOCTYPE html>
<html>
<head>
  <title>Login</title>
  <style>
    body {
      background-color: #f1f1f1;
      display: flex;
      justify-content: center;
      align-items: center;
      height: 100vh;
      margin: 0;
    }

    .container {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: flex-start;
        margin-top: 200px; /* Increase the margin-top value to make the container bigger */
        background-color: #ffffff;
        color: #333333;
        font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
        padding: 20px;
        border-radius: 10px;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    }

    .form-group {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: 20px;
        width: 100%;
    }

    .form-group label {
        font-size: 24px;
        margin-right: 10px;
        flex-basis: 30%;
        font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    }

    .form-group input {
        font-size: 18px;
        padding: 6px 8px;
        border: 1px solid #ccc;
        border-radius: 5px;
        height: 24px;
        box-sizing: border-box;
        flex-grow: 1;
    }

    .btn-container {
        display: flex;
        justify-content: space-between;
        margin-top: 25px;
        width: 100%;
    }

    .btn-container button {
        background-color: #ff8c00; /* Change to the desired button color */
        color: white;
        padding: 12px 20px;
        border: none;
        cursor: pointer;
        font-size: 20px;
        flex-grow: 1;
        margin-right: 10px;
        font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    }

    .btn-container button:last-child {
        margin-right: 0;
    }

    .btn-container button:hover {
        background-color: #ffa733; /* Change hover background color to match the button color */
    }
    
    .message {
      font-size: 16px;
      color: red;
      margin-top: 10px;
    }

    .header {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        background-color: #ff8c00;
        color: white;
        padding: 20px 0;
        text-align: center;
        font-size: 24px;
        font-weight: bold;
        font-family: Arial, sans-serif;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
        z-index: 9999;
    }

    .signup-link {
        font-size: 14px;
        margin-top: 10px;
        color: #333333;
        font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    }

  </style>
</head>
<body>
    <div class="header">Securities Recommendation System</div>
  
    <div class="container">
      <form method="POST" action="/">
  
        <div class="form-group">
          <label for="username">Username:</label>
          <input type="text" id="username" name="username">
        </div>
  
        <div class="form-group">
          <label for="password">Password:</label>
          <input type="password" id="password" name="password">
        </div>
  
        {% if message %}
        <span class="message">
          <span style="color: red; font-size: 12px;">*</span> {{ message }}
        </span>
        {% endif %}
  
        <div class="btn-container">
          <button type="submit">Login</button>
          <button type="button">Signup</button>
        </div>
  
        <span class="signup-link">Don't have an account? Sign up</span>
  
      </form>
    </div>
  </body>
</html>
